/**
 *  Copyright (c) 2008...2012 Ekkehard Gentz (Rosenheim, Germany) and others.
 *  All rights reserved. This program and the accompanying materials
 *  are made available under the terms of the Eclipse Public License v1.0
 *  which accompanies this distribution, and is available at
 *  http://www.eclipse.org/legal/epl-v10.html
 *  
 *  Contributors:
 *          Ekkehard Gentz     - initial contribution 
 *     
 *   more info: see folder [project]/copyright
 */
package org.appbus.bb.app.logging4bb;

import net.rim.device.api.util.StringProvider;

public class CallbackNotificationTask {
	
	private StringProvider commandCategory;
	private StringProvider contextCategory;
	private StringProvider taskDescription;
	
	public CallbackNotificationTask(StringProvider taskDescription, StringProvider commandCategory, StringProvider contextCategory) {
		setTaskDescription(taskDescription);
		setCommandCategory(commandCategory);
		setContextCategory(contextCategory);
	}

	private void setCommandCategory(StringProvider commandCategory) {
		this.commandCategory = commandCategory;
	}

	public StringProvider getCommandCategory() {
		return commandCategory;
	}

	private void setContextCategory(StringProvider contextCategory) {
		this.contextCategory = contextCategory;
	}

	public StringProvider getContextCategory() {
		return contextCategory;
	}

	private void setTaskDescription(StringProvider taskDescription) {
		this.taskDescription = taskDescription;
	}

	public StringProvider getTaskDescription() {
		return taskDescription;
	}

}
